%define gitcommit %(echo %version | cut -d+ -f2 | cut -d. -f2)
Name:          dosemu
Version:       1.4.0.8+20130803git.35054b
Release:       1mamba
Summary:       A DOS emulator that allows you to run DOS and many DOS programs
Group:         Applications/Emulators
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.dosemu.org/
Source:        git://git.code.sf.net/p/dosemu/code.git/master@%{gitcommit}/code-%{version}.tar.bz2
Source1:       http://downloads.sourceforge.net/sourceforge/dosemu/dosemu-freedos-1.0-bin.tgz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libalsa-devel
BuildRequires: libfluidsynth-devel
BuildRequires: libgpm-devel
BuildRequires: libsdl12-compat-devel
BuildRequires: libslang-devel
BuildRequires: libsndfile-devel
## AUTOBUILDREQ-END

%description
DOSEMU stands for DOS Emulation, and allows you to run DOS and many DOS programs, including many DPMI applications such as DOOM and Windows 3.1, under Linux. 

%debug_package

%prep
%setup -q -n code-%{version}
# NOTE: dubious workaround for linker error:
# section .note.gnu.property LMA [0000000000000000,000000000000002f] overlaps section .text LMA [0000000000000000,0000000000000293]
sed -i "s|text,0|text,40|" src/commands/Makefile

%build
%configure \
   --sysconfdir=%{_sysconfdir}/dosemu \
   --with-fdtarball=%{SOURCE1} \
   --with-svgalib \
   --with-x

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
chmod +x %{buildroot}%{_libdir}/dosemu/*.so

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/dosemu
%{_sysconfdir}/dosemu/dosemu.conf
%{_sysconfdir}/dosemu/dosemu.users
%{_sysconfdir}/dosemu/global.conf
%dir %{_sysconfdir}/dosemu/drives
%{_sysconfdir}/dosemu/drives/c
%{_sysconfdir}/dosemu/drives/d
%dir %{_datadir}/dosemu
%{_bindir}/dosdebug
%{_bindir}/dosemu
%{_bindir}/dosemu.bin
%{_bindir}/midid
%{_bindir}/mkfatimage
%{_bindir}/mkfatimage16
%{_bindir}/xdosemu
%dir %{_libdir}/dosemu
%{_libdir}/dosemu/libplugin_X.so
%{_libdir}/dosemu/libplugin_alsa.so
%{_libdir}/dosemu/libplugin_fluidsynth.so
%{_libdir}/dosemu/libplugin_gpm.so
%{_libdir}/dosemu/libplugin_sdl.so
%{_libdir}/dosemu/libplugin_sndfile.so
%{_libdir}/dosemu/libplugin_term.so
%dir %{_datadir}/dosemu
%{_datadir}/dosemu/Xfonts
%{_datadir}/dosemu/commands
%{_datadir}/dosemu/drive_z
%{_datadir}/dosemu/keymap
%{_datadir}/dosemu/freedos
%{_mandir}/man1/dosemu.1*
%{_mandir}/man1/dosemu.bin.1*
%{_mandir}/man1/dosdebug.1*
%{_mandir}/man1/midid.1.gz
%{_mandir}/man1/mkfatimage16.1*
%{_mandir}/man1/xdosemu.1*
%lang(ru) %{_mandir}/ru/man1/dosemu.1*
%lang(ru) %{_mandir}/ru/man1/dosemu.bin.1*
%lang(ru) %{_mandir}/ru/man1/dosdebug.1*
%lang(ru) %{_mandir}/ru/man1/mkfatimage16.1*
%lang(ru) %{_mandir}/ru/man1/xdosemu.1*
%{_docdir}/dosemu
%doc COPYING THANKS
#%doc BUGS ChangeLog ChangeLog.ancient ChangeLog.old NEWS README
#%doc README.bindist

%changelog
* Fri Nov 01 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0.8+20130803git.35054b-1mamba
- update to 1.4.0.8+20130803git.35054b

* Mon Sep 16 2013 Automatic Build System <autodist@mambasoft.it> 1.4.0.8-1mamba
- update to 1.4.0.8

* Tue Aug 10 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-1mamba
- package created by autospec
